IF EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name = N'ts')
  DROP DATABASE [ts]
GO

CREATE DATABASE [ts] COLLATE Cyrillic_General_CI_AS
GO

exec sp_dboption N'ts', N'autoclose', N'false'
GO

exec sp_dboption N'ts', N'bulkcopy', N'false'
GO

exec sp_dboption N'ts', N'trunc. log', N'false'
GO

exec sp_dboption N'ts', N'torn page detection', N'true'
GO

exec sp_dboption N'ts', N'read only', N'false'
GO

exec sp_dboption N'ts', N'dbo use', N'false'
GO

exec sp_dboption N'ts', N'single', N'false'
GO

exec sp_dboption N'ts', N'autoshrink', N'false'
GO

exec sp_dboption N'ts', N'ANSI null default', N'false'
GO

exec sp_dboption N'ts', N'recursive triggers', N'false'
GO

exec sp_dboption N'ts', N'ANSI nulls', N'false'
GO

exec sp_dboption N'ts', N'concat null yields null', N'false'
GO

exec sp_dboption N'ts', N'cursor close on commit', N'false'
GO

exec sp_dboption N'ts', N'default to local cursor', N'false'
GO

exec sp_dboption N'ts', N'quoted identifier', N'false'
GO

exec sp_dboption N'ts', N'ANSI warnings', N'false'
GO

exec sp_dboption N'ts', N'auto create statistics', N'true'
GO

exec sp_dboption N'ts', N'auto update statistics', N'true'
GO

if( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) )
        exec sp_dboption N'ts', N'db chaining', N'false'
GO

use [ts]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ts_files]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ts_files]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ts_sets]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[ts_sets]
GO

exec sp_addsrvrolemember N'BUILTIN\', sysadmin
GO

if not exists (select * from dbo.sysusers where name = N'guest' and hasdbaccess = 1)
        EXEC sp_grantdbaccess N'guest'
GO

CREATE TABLE [dbo].[ts_files] (
        [File_id] [int] IDENTITY (1, 1) NOT NULL ,
        [File_id_s] [int] NULL ,
        [FullName] [varchar] (255) COLLATE Cyrillic_General_CI_AS NULL ,
        [Name] [varchar] (50) COLLATE Cyrillic_General_CI_AS NOT NULL ,
        [Params] [varchar] (255) COLLATE Cyrillic_General_CI_AS NULL ,
        [From_id] [int] NOT NULL ,
        [To_id] [int] NOT NULL ,
        [App_id] [int] NOT NULL ,
        [Status] [tinyint] NOT NULL ,
        [Err] [tinyint] NOT NULL ,
        [Priority] [int] NOT NULL ,
        [DateCreate] [datetime] NOT NULL ,
        [DateProc] [datetime] NULL ,
        [fSize] [int] NOT NULL ,
        [fType] [int] NOT NULL ,
        [Outbox] [tinyint] NOT NULL ,
        [Attach] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[ts_sets] (
        [Sets_id] [int] IDENTITY (1, 1) NOT NULL ,
        [Guid] [uniqueidentifier] NOT NULL ,
        [Version] [varchar] (20) COLLATE Cyrillic_General_CI_AS NOT NULL ,
        [AppName] [varchar] (50) COLLATE Cyrillic_General_CI_AS NOT NULL ,
        [AppFile] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[ts_files] WITH NOCHECK ADD 
        CONSTRAINT [PK_ts_files] PRIMARY KEY  CLUSTERED 
        (
                [File_id]
        )  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ts_sets] WITH NOCHECK ADD 
        CONSTRAINT [PK_sets] PRIMARY KEY  CLUSTERED 
        (
                [Sets_id]
        )  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ts_files] ADD 
        CONSTRAINT [DF_ts_files_Status] DEFAULT (0) FOR [Status],
        CONSTRAINT [DF_ts_files_Err] DEFAULT (0) FOR [Err],
        CONSTRAINT [DF_ts_files_Priority] DEFAULT (0) FOR [Priority],
        CONSTRAINT [DF_ts_files_fSize] DEFAULT (0) FOR [fSize],
        CONSTRAINT [DF_ts_files_fType] DEFAULT (1) FOR [fType],
        CONSTRAINT [DF_ts_files_Outbox] DEFAULT (0) FOR [Outbox]
GO

ALTER TABLE [dbo].[ts_sets] ADD 
        CONSTRAINT [DF_sets_guid] DEFAULT (newid()) FOR [Guid]
GO
